[
  { /* protocol panel spec */

    blockid=protocol;
    custom=com.netscape.management.msgserv.nntp.NNTPProtocol;

    localvar=
    {
      .label.size=80;
      .hdr.org.label="Organization :";
      .bnr.nntp.wrap.size=450;
      .bnr.nntp.title=[titled, "Replication Banner"];
      .bnr.nnrp.title=[titled, "Readers Banner"];
      .bnr.nnrp.wrap.size=450;
      .bnr.editbtn.text="Edit...";
      .bnr.nntp.dlgtitle="Editing Replication Banner";
      .bnr.nnrp.dlgtitle="Editing Readers Banner";
    };

    content=
    [ /* protocol panel conents */

      { /* start of organization hdr */
        ctrl=pane;
        layout=[xbox];
        content=
        [ /* organization contents */

          { /* org. label */
            ctrl=label;
            wrap=$.label.size;
            alignh=left;
            aligny=0.5;
            text=$.hdr.org.label;
            id=hdrorganization;
            label=organization;
          }, /* org. label */

          { /* component space */
            ctrl=rigid;
          }, /* component space */

          {
            ctrl=text;
            aligny=0.5;
            label=organization;
            val=$service.nntp.protocol.organization.nsvalue;
          }

        ] /* organization contents */
      }, /* end of organization hdr */

      { /* seperated component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      },

      { /* Replication banner */
        ctrl=pane;
        layout=[ybox];
        border=$.bnr.nntp.title;
        content=
        [ /* replication banner content */

          { /* replication banner value */
            ctrl=blabel;
            id=nntpbanner;
            wrap=$.bnr.nntp.wrap.size;
            text=$service.nntp.protocol.nntpbnr.nsvalue;
          }, /* replication banner value */

          {
            ctrl=vstrut;
            size=$g.comp.space;
          },

          { /* pane with edit button glued to the button */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* edit button pane contents */

              {
                ctrl=hglue;
              },

              { /* edit button */
                ctrl=button;
                text=$.bnr.editbtn.text;
                dialog=editnntpbanner;
                id=edit.nntp_banner;
                cmd=edit.nntp_banner;
                dialogtitle=$.bnr.nntp.dlgtitle;
              } /* edit button */

            ] /* edit button pane contents */
          } /* pane with edit button glued to the right */

        ] /* replication banner content */
      }, /* Replication banner */

      { /* seperated component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      },

      { /* Readers banner */
        ctrl=pane;
        layout=[ybox];
        border=$.bnr.nnrp.title;
        content=
        [ /* Readers banner content */

          { /* Readers banner value */
            ctrl=blabel;
            id=nnrpbanner;
            wrap=$.bnr.nnrp.wrap.size;
            text=$service.nntp.protocol.nnrpbnr.nsvalue;
          }, /* Readers banner value */

          {
            ctrl=vstrut;
            size=$g.comp.space;
          },

          { /* pane with edit button glued to the right */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* edit button pane contents */

              {
                ctrl=hglue;
              },

              { /* edit button */
                ctrl=button;
                text=$.bnr.editbtn.text;
                dialog=editnnrpbanner;
                id=edit.nnrp_banner;
                cmd=edit.nnrp_banner;
                dialogtitle=$.bnr.nnrp.dlgtitle;
              } /* edit button */

            ] /* edit button pane contents */
          } /* pane with edit button glued to the right */

        ] /* Readers banner content */
      } /* Readers banner */

    ] /* protocol panel conents */

  }, /* protocol panel spec */

  { /* edit replication banner dialog */

    blockid=editnntpbanner;
    title="Editing Replication Banner";

    localvar=
    {
      .label.size=50;
      .special.indent=120;
      .special.label="Special :";
      .special.items=
      [
        $system.hostname,
        $service.nntp.service.version,
        $system.date,
        $system.time
      ];
      .special.labels=
      [
        "Host Name",
        Version,
        Date,
        Time
      ];
      .special.btn.text="Insert";

      .bnr.label.size=200;
      .bnr.title=[titled, "Replication Banner Format"];
    };

    content=
    [ /* edit replication banner content */

      { /* banner fields start */
        ctrl=pane;
        layout=[ybox];
        border=$.bnr.title;
        content=
        [ /* banner fields contents */

          { /* pane containing special */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* special contents */

              { /* glue to stick fields to the right */
                ctrl=hstrut;
                size=$.special.indent;
              },

              { /* special label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.special.label;
                id=special;
              }, /* special label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* combo box for special fields */
                ctrl=choice;
                style=combobox;
                items=$.special.items;
                labels=$.special.labels;
                aligny=0.5;
                id=insert_items;
              }, /* combo box for special fields */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* insert btn */
                ctrl=button;
                text=$.special.btn.text;
                cmd=insert;
                aligny=0.5;
                label=special;
              } /* insert btn */

            ] /* special contents */
          }, /* pane containing special */

          { /* diff. comp. space */
            ctrl=vstrut;
            size=$g.comp.space.diff;
          }, /* diff. comp. space */

          { /* text area for entering banner */
            ctrl=btextarea;
            id=editfield;
            val=$service.nntp.protocol.nntpbnr.value;
          } /* text area for entering banner */

        ] /* banner fields contents */
      } /* banner fields end */

    ] /* edit replication banner content */

  }, /* edit replication banner dialog */

  { /* edit readers banner dialog */

    blockid=editnnrpbanner;
    title="Editing Readers Banner";

    localvar=
    {
      .label.size=50;
      .special.indent=120;
      .special.label="Special :";
      .special.items=
      [
        $system.hostname,
        $service.nntp.service.version,
        $system.date,
        $system.time
      ];
      .special.labels=
      [
        "Host Name",
        Version,
        Date,
        Time
      ];
      .special.btn.text="Insert";

      .bnr.label.size=200;
      .bnr.title=[titled, "Readers Banner Format"];
    };

    content=
    [ /* edit readers banner content */

      { /* banner fields start */
        ctrl=pane;
        layout=[ybox];
        border=$.bnr.title;
        content=
        [ /* banner fields contents */

          { /* pane containing special */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* special contents */

              { /* glue to stick fields to the right */
                ctrl=hstrut;
                size=$.special.indent;
              },

              { /* special label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.special.label;
                id=special;
                label=special;
              }, /* special label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* combo box for special fields */
                ctrl=choice;
                style=combobox;
                id=insert_items;
                items=$.special.items;
                labels=$.special.labels;
                aligny=0.5;
                label=special;
              }, /* combo box for special fields */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* insert btn */
                ctrl=button;
                text=$.special.btn.text;
                cmd=insert;
                aligny=0.5;
                label=special;
              } /* insert btn */

            ] /* special contents */
          }, /* pane containing special */

          { /* diff. comp. space */
            ctrl=vstrut;
            size=$g.comp.space.diff;
          }, /* diff. comp. space */

          { /* text area for entering banner */
            ctrl=btextarea;
            id=editfield;
            val=$service.nntp.protocol.nnrpbnr.value;
          } /* text area for entering banner */

        ] /* banner fields contents */
      } /* banner fields end */

    ] /* edit readers banner content */

  } /* edit readers banner dialog */

]
